## aewm++ 1.0.16

=== Makefile ===
# Makefile - aewm++
#
# Date: 7 November 2001
# aewm++ by: Frank Hale <frankhale@yahoo.com> 
#
# Original header below:
#
# aewm - a minimalistic X11 window manager. 
# Copyright () 1998-2001 Decklin Foster <decklin@red-bean.com>
# Free software! Please see README for details and license.  

CC       = g++
CFLAGS   = -g -O2 -Wall

prefix   = /usr/X11R6
XROOT    = $(prefix)
DESTDIR  =
INCLUDES = -I$(XROOT)/include
LDPATH   = -L$(XROOT)/lib
LIBS     = -lXext -lX11

# SHAPE = Shape Extension
# NEED_SETENV = Does your Unix not support the setenv function? Use this!
DEFINES  = -DSHAPE #-DNEED_SETENV 
HEADERS  = aewm.hh 		\
	   basemenu.hh  	\
	   basemenuitem.hh 	\
	   client.hh 		\
	   genericmenu.hh 	\
	   iconmenu.hh  	\
	   linkedlist.hh 	\
	   windowmanager.hh 	\
	   windowmenu.hh

OBJS     = linkedlist.o 	\
	   basemenu.o   	\
	   genericmenu.o	\
	   iconmenu.o   	\
	   windowmenu.o 	\
	   windowmanager.o 	\
	   client.o 		\
	   misc.o 		\
	   main.o 

all: aewm++

aewm++: $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	mkdir -p $(DESTDIR)$(XROOT)/bin
	mkdir -p $(DESTDIR)$(XROOT)/man/man1
	install -s aewm++ $(DESTDIR)$(XROOT)/bin
	install -m 644 aewm++.1x  $(DESTDIR)$(XROOT)/man/man1
	gzip -9vf  $(DESTDIR)$(XROOT)/man/man1/aewm++.1x

uninstall: all
	rm -f $(DESTDIR)$(XROOT)/bin/aewm++
	rm -f $(DESTDIR)$(XROOT)/man/man1/aewm++.1x
	rm -f $(DESTDIR)$(XROOT)/man/man1/aewm++.1x.gz

clean:
	rm -f aewm++ $(OBJS) core

.PHONY: all install clean

=== goodies/appbar/Makefile ===
CC        = g++
CFLAGS    = -g -O2 -Wall
XROOT     = /usr/X11R6
INCLUDES  = -I$(XROOT)/include
LIBS      = -lX11 -lXext -lXpm 
LDPATH    = -L$(XROOT)/lib

PROG      = appbar
PREFIX    = /usr
DEFINES   = #-DDEBUG

OBJS      = main.o appbar.o scanner.o icon.o linkedlist.o image.o

all: $(PROG) 

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(PREFIX)/bin
	mkdir -p /etc/X11/appbar
	mkdir -p /usr/X11/share/appbar
	mkdir -p /usr/X11/share/appbar/images
	cp appbar.rc /etc/X11/appbar
	cp -r images/ /usr/X11/share/appbar/
	
uninstall:
	rm -f $(PREFIX)/bin/$(PROG)
	rm -rf $(PREFIX)/X11/share/appbar
	rm -rf /etc/X11/appbar
clean:
	rm -f $(PROG) $(OBJS) core

=== goodies/fspanel/Makefile ===
CC = gcc
C_FLAGS = -DNOSTDLIB -DHAVE_XPM -Wall -I/usr/X11R6/include -m386 -malign-loops=2 -malign-jumps=2 -malign-functions=2
L_FLAGS = -O1 -Xlinker -s -L/usr/X11R6/lib -lX11 -lXpm
PROGNAME = fspanel

$(PROGNAME): Makefile fspanel.c fspanel.h icon.xpm
	$(CC) $(C_FLAGS) $(L_FLAGS) fspanel.c -o $(PROGNAME)
	@ls -l $(PROGNAME)

clean: 
	rm -f core *.o $(PROGNAME) nohup.out

install: $(PROGNAME)
	cp -r $(PROGNAME) /usr/local/bin

=== goodies/setrootimage/Makefile ===
CC        = g++
CFLAGS    = -g -O2 -Wall
XROOT     = /usr/X11R6
INCLUDES  = -I$(XROOT)/include
LIBS      = -lX11 -lXext
LDPATH    = -L$(XROOT)/lib

PROG      = setrootimage
PREFIX    = /usr/local
#DEFINES   = -DDEBUG

OBJS      = setrootimage.o linkedlist.o image.o

all: $(PROG) 

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(PREFIX)/bin
	
uninstall:
	rm -f $(PREFIX)/bin/$(PROG)

clean:
	rm -f $(PROG) $(OBJS) core

## aewm++ 1.0.24

=== Makefile ===
CC       = g++
CFLAGS   = -g -O2 -Wall

prefix   = /usr
INCLUDES = -I$(prefix)/include
LDPATH   = -L/usr/X11R6/lib
LIBS     = -lXext -lX11

# SHAPE = Shape Extension
# NEED_SETENV = Does your Unix not support the setenv function? Use this!
DEFINES  = -DSHAPE #-DNEED_SETENV 
HEADERS  = aewm.hh 		\
	   client.hh 		\
	   windowmanager.hh  	\
   	   basemenu.hh  	\
	   windowmenu.hh	\
	   genericmenu.hh 	\
	   iconmenu.hh  	

OBJS     = windowmanager.o 	\
	   client.o 		\
	   main.o 		\
	   basemenu.o   	\
	   genericmenu.o	\
	   iconmenu.o   	\
	   windowmenu.o 	

all: aewm++

aewm++: $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.cc $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	mkdir -p $(DESTDIR)$(prefix)/bin
	mkdir -p $(DESTDIR)$(prefix)/man/man1
	install -s aewm++ $(DESTDIR)$(prefix)/bin
	install -m 644 aewm++.1x  $(DESTDIR)$(prefix)/man/man1
	
clean:
	rm -f aewm++ $(OBJS) core

## aewm++ 1.1.2

=== debian/changelog ===
aewm++ (1.1.2-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0.

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 18:27:25 +0100

aewm++ (1.1.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999251).

 -- Marcos Talau <marcos@talau.info>  Tue, 05 Apr 2022 14:06:42 -0300

aewm++ (1.1.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove the obsolete dh_desktop call. (Closes: #817289)
  * debian/control: Update the homepage URL. (Closes: #636804)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 21:14:06 +0200

aewm++ (1.1.2-5) unstable; urgency=low

  * Acknowledge NMU, thanks Luk. (closes: #471197)
  * Fix build-dep (libext-dev has gone away).
  * Don't use absolute path for update-alternatives.
    (closes: #510937)
  * Add Homepage field (upstream has reappeared, on Google Code).
  * Fix debian/watch accordingly. (closes: #529095)
  * Bump debhelper version to 7.
  * Don't strip in Makefile; leave that to conditional dh_strip.
    (closes: #436380)
  * Fix menu section.
  * Catch errors from make clean.
  * Bump Standards-Version to 3.8.1.0.
  * Don't use obsolete X11R6 paths to build.
  * Use dh_prep instead of dh_clean -k.

 -- Chris Boyle <cmb@debian.org>  Mon, 25 May 2009 01:08:06 +0100

aewm++ (1.1.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on libxext-dev (Closes: #464604).
  * Fix FTBFS with GCC 4.3 (Closes: #454825).

 -- Luk Claes <luk@debian.org>  Sun, 16 Mar 2008 15:41:15 +0000

aewm++ (1.1.2-4) unstable; urgency=low

  * Update Build-Depends for Xorg (closes: #346611, #346621).

 -- Chris Boyle <cmb@debian.org>  Fri, 13 Jan 2006 00:43:29 +0000

aewm++ (1.1.2-3) unstable; urgency=low

  * Add .desktop file (closes: #330042).
  * Bump Standards-Version to 3.6.2.
  * Update GPL declaration in copyright file.

 -- Chris Boyle <cmb@debian.org>  Sun, 16 Oct 2005 16:16:19 +0100

aewm++ (1.1.2-2) unstable; urgency=low

  * Add ADDITIONAL_CFLAGS= to rules to remove hardcoded -march in Makefile
    (closes: #299917).
  * Bump Standards-Version to 3.6.1.

 -- Chris Boyle <cmb@debian.org>  Thu, 31 Mar 2005 12:48:58 +0100

aewm++ (1.1.2-1) unstable; urgency=low

  * New upstream release (closes: #291714).
  * This release does not have GNOME EWMH hints, because upstream wants to
    focus on making the code stable and minimalistic. Warning added to
    package description.
  * Reinstated manual page which upstream removed for some reason. Checked
    it's still accurate.
  * Changed references to xterm to x-terminal-emulator to use the user's
    preferred version according to /etc/alternatives.
  * Updated README.Debian about aewm++-goodies.

 -- Chris Boyle <cmb@debian.org>  Fri, 11 Mar 2005 12:53:43 +0000

aewm++ (1.0.24-3) unstable; urgency=low

  * Fix FTBFS with g++-3.4 (closes: #276731), thanks
    Daniel Schepler <schepler@math.berkeley.edu>
  * Several manual page fixes (closes: #270860, #270863, #270864),
    thanks Jari Aalto <jari.aalto@poboxes.com>

 -- Chris Boyle <cmb@debian.org>  Sat, 27 Nov 2004 20:12:15 +0000

aewm++ (1.0.24-2) unstable; urgency=low

  * Fixed debian/watch file (sourceforge ftp layout).

 -- Chris Boyle <cmb@debian.org>  Sun, 28 Mar 2004 19:20:54 +0100

aewm++ (1.0.24-1) unstable; urgency=low

  * New upstream release (whoah, I have *not* been paying attention...),
    many bugfixes, many rewritten features, and it's been run through
    valgrind. Details too numerous to list, see changelog.gz.
  * Upstream has split the goodies directory into a separate package; 
    doing the same here.
  * Suggests: aewm++-goodies. This does not exist at the time of upload, 
    which is really a bug. However, I expect it will exist very soon, 
    and I'm about to go away for 2 weeks. (N.B., as mentioned in my 
    [VAC] message, you can NMU if I've just broken stuff)
  * Made Makefile install manpage under .../share/man, not .../man.
  * Seems to comply with the freedesktop.org WM spec, so change score of
    x-window-manager alternative to 60 (was 20).
  * Added support for DEB_BUILD_OPTIONS.
  * Having done the above, bumped standards-version to 3.6.0
  * Now I'm building with pbuilder. This needs recording here in case it
    breaks anything. :-p

 -- Chris Boyle <cmb@debian.org>  Thu, 24 Jul 2003 21:23:35 +0100

aewm++ (1.0.16-3) unstable; urgency=medium

  * Doh! Fixed bug where aewm++ binary was not installed, caused, would you believe it,
    by one extra backslash in debian/rules. (closes: #133507)
  * Made sure /etc/X11/appbar gets removed on purge.

 -- Chris Boyle <cmb@debian.org>  Tue, 12 Feb 2002 22:16:54 +0000

aewm++ (1.0.16-2) unstable; urgency=medium

  * Fixed g++ 3 build failure. (closes: #133237)
  * Install in the tmp dir slightly differently (fewer changes to Makefiles)

 -- Chris Boyle <cmb@debian.org>  Sun, 10 Feb 2002 21:18:34 +0000

aewm++ (1.0.16-1) unstable; urgency=low

  * Initial Release. (closes: #127382)
  * The usual Makefile clean-ups (DESTDIR etc).
  * Moved config dirs into /etc/X11 and other dirs into /usr/share, for FHS
    compliance.
  * Renamed fspanel to aewm++_fspanel, and xsession to aewm++_xsession.
  * Wrote manpages for appbar, aewm++_fspanel, setrootimage and
    aewm++_xsession.

 -- Chris Boyle <cmb@debian.org>  Thu,  7 Feb 2002 17:26:04 +0000

=== debian/control ===
Source: aewm++
Section: x11
Priority: optional
Maintainer: Chris Boyle <cmb@debian.org>
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev
Standards-Version: 3.8.1.0
Homepage: https://github.com/frankhale/aewmpp

Package: aewm++
Architecture: any
Depends: ${shlibs:Depends}
Suggests: aewm++-goodies
Provides: x-window-manager
Description: minimal window manager written in C++
 aewm++ is a minimal window manager for X11, based on aewm. It keeps aewm's
 minimalist look and feel but is written in C++, and adds some modern features
 like virtual desktops. GNOME EWMH hints have been removed in this release,
 because upstream wants to focus on making the code stable and minimalistic.
 .
 This package used to include appbar, aewm++_fspanel, setrootimage and 
 aewm++_xsession; these can now be found in the aewm++-goodies package.

=== debian/rules ===
#!/usr/bin/make -f
# Based on sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  COMPILER_FLAGS += CFLAGS="-O0 -g -Wall"
else
  COMPILER_FLAGS += CFLAGS="-O2 -g -Wall"
endif

build: build-stamp

build-stamp:
	dh_testdir

	# compile the programs
	$(MAKE) $(COMPILER_FLAGS) ADDITIONAL_CFLAGS=

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# clean up after the build process
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin

	# install all programs into debian/aewm++
	$(MAKE) install \
		prefix=$(CURDIR)/debian/aewm++/usr \
		XROOT=$(CURDIR)/debian/aewm++/usr \
		INCLUDES=-I/usr/include/X11 \
		LDPATH=-L/usr/lib/X11

	mkdir -p $(CURDIR)/debian/aewm++/usr/share/xsessions
	install -m 644 debian/aewm++.desktop $(CURDIR)/debian/aewm++/usr/share/xsessions/

# Build architecture-independent files here.
binary-indep: build install
# nothing to do

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installmenu
	dh_installman debian/aewm++.1x
	dh_installchangelogs ChangeLog
	dh_link
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip
endif
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
build-arch: build
build-indep: build
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://code.google.com/p/aewmpp/downloads/list (?:.*/)?aewmpp-(.+)\.tar\.gz
